#!/usr/bin/env python



import pygtk
import os
pygtk.require('2.0')
import gtk

class NotebookExample:
    

    def delete(self, widget, event=None):
        gtk.main_quit()
        return False

    def handler(self,widget,data=None):
	print widget.get_active()
	if widget.get_active():
		open(os.environ['HOME']+"/.boss_info","w")
	else:
		os.remove(os.environ['HOME']+"/.boss_info")

    def __init__(self):
        window = gtk.Window()
	window.set_position(gtk.WIN_POS_CENTER)
	window.set_title("BOSS - Bharat Operating System Solutions")
	window.set_resizable(False)
        window.connect("delete_event", self.delete)
        window.set_border_width(10)

        table = gtk.Table(3,6,False)
        window.add(table)

        # Create a new notebook, place the position of the tabs
        notebook = gtk.Notebook()
        notebook.set_tab_pos(gtk.POS_TOP)
	notebook.set_size_request(650,500)
        table.attach(notebook, 0,6,0,1)
        notebook.show()
        self.show_tabs = True
        self.show_border = True
	buf = """ 
BOSS ( Bharat Operating System Solutions ) GNU/Linux distribution developed by C-DAC
for enhancing the use of Free/Open Source Software throughout India. BOSS GNU/Linux 
is a product from NRCFOSS.
BOSS releases comes for
 
	* Desktops 
	* Servers 
	* Notebooks 
	* Educational version for Schools

The latest Release of BOSS GNU/Linux Version 7 codenamed as Drishti is coupled with 
GNOME Desktop Environment 3.22 version with wide Indian language support & packages, 
relevant for use in the Government domain. This release aims more at enhancing the 
user interface with more glossy Themes and is coupled with latest applications from the 
community.

To obtain  BOSS DVD write to bosslinux@cdac.in

For any queries and suggestions call Toll-Free Number: 1800 4250 455."""
	about_text= gtk.TextBuffer()
	about_text.set_text(buf)

	scroll_about= gtk.TextView(about_text)
	scroll_about.set_editable(False)
	scroll_about.show()

	t=gtk.ScrolledWindow()
	t.set_usize(600,450)
	t.add(scroll_about)
	t.show()

	vbox=gtk.VBox()
	vbox.add(t)
        checkbutton = gtk.CheckButton("Don't show this message again.")
        checkbutton.set_size_request(100, 75)
	checkbutton.connect("toggled",self.handler,"Don't show this message again.")
        checkbutton.show ()

	vbox.add(checkbutton)
	vbox.show()

        label = gtk.Label("About")
        notebook.insert_page(vbox, label, 1)


        # Let's append a bunch of pages to the notebook
        for i in range(1):
            bufferl = "License"

	    bufferf = """
BOSS GNU/Linux is developed by taking software codes/components from open source 
under several licenses like Apache, Artistic, GPL etc. The detailed License agreement 
for each of the above licenses can be found under /usr/share/common-licenses in 
BOSS GNU/Linux system. For each individual application the respective License terms
and agreements can be found under /usr/share/doc/<package name> in BOSS.

Hence, use/modifications/distribution of BOSS GNU/Linux is governed by GNU GPL/LGPL 
etc. Intellectual property rights in BOSS GNU/Linux will continue to be owned by
respective owners/assignees.Neither CDAC, the authors, nor translators shall be held 
liable for possible errors or the consequences thereof.

The official version of BOSS GNU/Linux DVD includes applications that are customized 
to Indian environment and hence is valid only within the jurisdiction of India. This
BOSS release is only for distribution within India.

THIS IS PROVIDED BY THE AUTHORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
AUTHORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER 
IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
POSSIBILITY OF SUCH DAMAGE.

"""
	    lic_text= gtk.TextBuffer()
	    lic_text.set_text(bufferf)

	    scroll_lic= gtk.TextView(lic_text)
	    scroll_lic.set_editable(False)
	    scroll_lic.show()
	
	    t=gtk.ScrolledWindow()
	    t.add(scroll_lic)
	    t.show()


            label = gtk.Label(bufferl)
            notebook.append_page(t, label)

        notebook.set_current_page(0)

        # Create a bunch of buttons
        button = gtk.Button("OK")
	button.set_size_request(25,25)
        button.connect("clicked", self.delete)
        table.attach(button, 0,1,1,2)
        button.show()

        table.show()
        window.show()

def main():
    gtk.main()
    return 0

if __name__ == "__main__":
    if os.path.isfile(os.environ['HOME']+"/.boss_info"):
	exit()
    NotebookExample()
    main()
